module Blade
  module Setting

    module YmlTemplate

      REDIS_YML = <<-File
# encoding: UTF-8

defaults: &defaults
  status: open
  host: localhost
  port: 6379
  db: 0
  username: username
  password: Fy958e5mmyb7Ta4H
  name_space: redis

development: &development
  <<: *defaults
  host: localhost
  password: Fy958e5mmyb7Ta4H

test:
  <<: *defaults

production:
  <<: *defaults
      File

      INFLUXDB_YML = <<-FILE
# encoding: UTF-8

defaults: &defaults
  status: open
  database: database
  host: host
  port: 80
  username: username
  password: password
  async: true

development: &development
  <<: *defaults
  status: close

test:
  <<: *defaults

production:
  <<: *defaults
      

      FILE

      SEND_CLOUD_YML = <<-FILE
defaults: &defaults
  status: close # open  |  close

  storage: storage

  your_scope:
    status: open
    api_user: user
    api_key: key
    url: url
    # 邮件发送者
    form: from
    # 有效调用过期时间
    expired_time: 24

development: &development
  <<: *defaults

test: &test
  <<: *defaults

  status: close # open | close

production: &production
  <<: *defaults

  status: open # open | close
      FILE


      SENTRY_YML = <<-File
#encoding: utf-8

default: &default
  status: open # open | close

  scheme: 'https'
  host: host

  async: sidekiq # sidekiq or true

  sample_rate: 1.0

development:
  <<: *default
  access_token: token
  app_id: app_id

production:
  <<: *default
  access_token: token
  app_id: prod_app_id

      File

      SCOUT_APM_YML = <<-File
# This configuration file is used for Scout APM.
# Environment variables can also be used to configure Scout. See our help docs at http://help.apm.scoutapp.com#environment-variables for more information.
common: &defaults

  # key: Your Organization key for Scout APM. Found on the settings screen.
  # - Default: none
  key: key

  # log_level: Verboseness of logs.
  # - Default: 'info'
  # - Valid Options: debug, info, warn, error
  # log_level: debug

  name: name
  # - Default: the application names comes from the Rails or Sinatra class name
  # name:

  # monitor: Enable Scout APM or not
  # - Default: none
  # - Valid Options: true, false
  monitor: true

production:
  <<: *defaults

development:
  <<: *defaults
  monitor: false

test:
  <<: *defaults
  monitor: false

staging:
  <<: *defaults
      File

      ELASTIC_SEARCH_YML = <<-File
default: &default
  host: host
  port: 9200
  prefix: prefix

development: &development
  <<: *default
#  status: 'close' # open | close

test: &test
  <<: *default
#  status: 'close' # open | close

production: &production
  <<: *default
  host: 127.0.0.1

      File

      WECHAT_YML = <<-File
      
defaults: &default
  appid: appid
  appsecret: appsecret

development:
  <<: *default

test:
  <<: *default

production:
  <<: *default

      File

      CARRIERWAVE_YML = <<-File
# encoding: UTF-8

defaults: &defaults
  status: open # open | close

  storage: aliyun

  aliyun:
    status: open # open | close
    access_id: id
    access_key: key
    bucket: jk-sit
    host: http://wtf.aliyuncs.com

  qiniu:
    status: open # open | close
    access_key: access_key
    secret_key: sk
    bucket: bucket
    bucket_domain: wtf.qnssl.com

development: &development
  <<: *defaults

test: &test
  <<: *defaults

  status: close # open | close

production: &production
  <<: *defaults

  status: open # open | close

      File
      DATABASE_YML = <<-File
default: &default
  adapter: sqlite3
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  timeout: 5000
  encoding: utf8

development:
  <<: *default
  database: db/development.sqlite3
  username: username
  password: password
  host: host
  port: port

# Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake".
# Do not set this db to the same as development or production.
test:
  <<: *default
  database: db/test.sqlite3

production:
  <<: *default
  database: db/development.sqlite3
  username: username
  password: password
  host: host
  port: port
      File
    end



  end
end